Page MenuHomePhabricator

Mediawiki Stakeholders' Meeting in Lyon
Closed, ResolvedPublic

Description

The MediaWiki Stakeholder's Group is a User Group with a focus around supporting usage for third-party MediaWiki wikis. There's hundreds of us!

According to Wikiapiary there are more editors in 3rd party wikis than all of the English Wikipedia. That's a lot of people administering, developing, and editing wikis!

Join us for an in-person (and theoretically online) meeting to discuss our work around supporting these uses.

Rough Agenda

What can we do to increase awareness and support of third party usage from the WMF?

  • This is the "What's in it for the foundation/movement" aspect.
  • We're leaving developers on the table!
    • No one has stars on their belly
  • if they don’t know about these events (like the hackathon) they can't help.
    • Maybe they don’t feel welcome?
    • Make events a safe space for non-wmf developers
  • This helps in growing the ecosystem and the MW platform
  • This makes non-wmf MW developer note feel like an afterthought

What can we do to encourage outside enterprises to contribute their work back to MW and the community?

  • Invite them to join us!
  • The community is a way to find support
  • Be part of a larger community - your bug reports, patches, extensions, gadgets, skins, etc can help others.
  • There’s gold in them thar hills! - the financial and perceptual benefits to contributing to open-source projects
  • Provide a extension welcome service to help organisations publish their extension in the mw context

Things we could tactically build (more ideas welcome)

  • Improve documentation about installing and managing MW installations
  • Host events around third-party mediawiki usage
  • Build things (code and patches) that assist third-party use
    • Improve extension management
    • Improve extension documentation (such as on mediawiki.org)
    • Hitcounter extension for 1.25
    • search customizations (ask Chris about showing Categories on search results)
    • Improving crawl rules
    • Limiting access to reading a wiki

Learn more at the following links:

http://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group

http://mwstake.org

Google Hangout Link for remote folks: https://plus.google.com/hangouts/_/event/c196qa28sejfsde401b3u411b8k?authuser=0&hl=en

Event Timeline

Mglaser created this task.May 23 2015, 7:36 AM
Mglaser updated the task description. (Show Details)
Mglaser raised the priority of this task from to Needs Triage.
Mglaser claimed this task.
Mglaser added a subscriber: Mglaser.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 7:36 AM
Ckoerner updated the task description. (Show Details)May 23 2015, 8:59 AM
Ckoerner set Security to None.
Ckoerner updated the task description. (Show Details)
Ckoerner updated the task description. (Show Details)May 23 2015, 9:06 AM
Ckoerner updated the task description. (Show Details)May 24 2015, 9:16 AM
Ckoerner updated the task description. (Show Details)May 24 2015, 9:48 AM
Ckoerner updated the task description. (Show Details)May 24 2015, 9:52 AM
Mglaser updated the task description. (Show Details)May 24 2015, 12:29 PM
Qgil closed this task as Resolved.May 26 2015, 7:02 AM